/*
ESUP-portail is a french academic project developed under the GPL (General Public License) augmented according to the following :
A binary or source file developped by ESUP-portail can be used or compiled with products under Apache license.
The official english text of the GPL can be found here : http://www.gnu.org/licenses/gpl.html .
A non official french translation can be found here : http://www.linux-France.org/article/these/gpl.html .
The different kinds of licenses governing the products developed by the Apache foundation can be found here : http://www.apache.org/licenses .
It follows that you can as well as use download contents as well modify and redistribute them provided you respect the GPL terms.
Downloading and using such contents do not provide any guaranty.
Be sure that you have well understood the terms of the license before using the contents it covers.
The ESUP-portail distribution includes the following distributions :
    * UPortal :
      software developed by JA-SIG (Java Architecture - Special Interest Group)
      You can find the license page here : http://mis105.udel.edu/ja-sig/uportal/license.html
    * CAS :
      SSO solution developed by Yale University
      You can find the project page here : http://www.yale.edu/tp/auth
    * Cocoon :
      XML framework distributed by the Apache foundation under Apache license;
      Please find the full text here : http://cocoon.apache.org/2.1/license.html
    * Mod_dav:
      A DAV module for Apache web server
      You can find the project page here : http://www.webdav.org/mod_dav
    * IMP :
      webmail from Horde application framework
      You can find the project page here : http://www.horde.org
    * . To be completed
*/
package org.esupportail.portal.channels.CMailTo.Mail;

/**
 * org.esupportail.portal.channels.CMailTo.Mail<br>
 * <br>
 * Classe permettant d'envoyer des mails<br> 
 * <br>
 * (c)Copyright <a href="http://www.univ-nancy2.fr">CRI Nancy 2 2004</a><br>
 * @author <a href="mailto:cedric.champmartin@univ-nancy2.fr">Cdric Champmartin</a>
 * @version 1.0
 * 
 */
public class MailAttribute {


    private String fieldForm = "";
    private boolean visible = true;
    private String value = null;
    private boolean modifiable = true;
    private boolean error = false;
    
    
    
    public MailAttribute() {
        
    }
    public MailAttribute(String field) {
        fieldForm = field;
    }
    
    
    /**
     * @return Returns the fieldForm.
     */
    public String getFieldForm() {
        return fieldForm;
    }
    /**
     * @param fieldForm The fieldForm to set.
    */ 
    public void setFieldForm(String fieldForm) {
        this.fieldForm = fieldForm;
    }
    /**
     * @return Returns the modifiable.
     */
    public boolean isModifiable() {
        return modifiable;
    }
    /**
     * @param modifiable The modifiable to set.
     */
    public void setModifiable(boolean modifiable) {
        this.modifiable = modifiable;
    }
    /**
     * @return Returns the value.
     */
    public String getValue() {
        return value;
    }
    /**
     * @param value The value to set.
     */
    public void setValue(String value) {
        this.value = value;
    }
    /**
     * @return Returns the visible.
     */
    public boolean isVisible() {
        return visible;
    }
    /**
     * @param visible The visible to set.
     */
    public void setVisible(boolean visible) {
        this.visible = visible;
    }
    /**
     * @return Returns the error.
     */
    public boolean isError() {
        return error;
    }
    /**
     * @param error The error to set.
     */
    public void setError(boolean error) {
        this.error = error;
    }

    public String toString(){
        return value;
    }
}